package jp.agentec.abook.abv.bl.data.tables;

import java.util.List;

import jp.agentec.abook.abv.bl.common.db.SQLiteDatabase;


public abstract class SQLiteTableScript {
	public abstract List<String> getCreateScript(int version);
	public abstract List<String> getUpgradeScript(int oldVersion, int newVersion);
	public abstract List<String> getMigrationScript(SQLiteDatabase databaseConnection, int oldVersion, int newVersion, Object[] params);
}
